// -- Adobe GoLive JavaScript Library
// -- Global Functions
function CSScriptInit() {
if(typeof(skipPage) != "undefined") { if(skipPage) return; }
idxArray = new Array;
for(var i=0;i<CSInit.length;i++)
	idxArray[i] = i;
CSAction2(CSInit, idxArray);
}
CSInit = new Array;
CSExit = new Array;
CSStopExecution=false;
function CSAction(array) {return CSAction2(CSAct, array);}
function CSAction2(fct, array) { 
	var result;
	for (var i=0;i<array.length;i++) {
		if(CSStopExecution) return false; 
		var aa = fct[array[i]];
		if (aa == null) return false;
		var ta = new Array;
		for(var j=1;j<aa.length;j++) {
			if((aa[j]!=null)&&(typeof(aa[j])=="object")&&(aa[j].length==2)){
				if(aa[j][0]=="VAR"){ta[j]=CSStateArray[aa[j][1]];}
				else{if(aa[j][0]=="ACT"){ta[j]=CSAction(new Array(new String(aa[j][1])));}
				else ta[j]=aa[j];}
			} else ta[j]=aa[j];
		}			
		result=aa[0](ta);
	}
	return result;
}
CSAct = new Object;
function CSClickReturn () {
	var bAgent = window.navigator.userAgent; 
	var bAppName = window.navigator.appName;
	if ((bAppName.indexOf("Explorer") >= 0) && (bAgent.indexOf("Mozilla/3") >= 0) && (bAgent.indexOf("Mac") >= 0))
		return true; // dont follow link
	else return false; // dont follow link
}
// -- Action Functions
function CSresizeWindow(){
if (navigator.appVersion.indexOf("MSIE 5.5")!=-1){ 
top.window.resizeBy( -1 , -1); 
setTimeout(resetWindow,500) 
}
}
function resetWindow(){
top.window.resizeBy(1 , 1); 
}
function CSFixFct() {
	var d = document; var w = window;
	if (d.cs.csFix.w != w.innerWidth || d.cs.csFix.h != w.innerHeight) {
		d.location = d.location; }
}
function CSNSFix(action) { 
	var d = document; var w = window;
	if ((navigator.appName == 'Netscape') && (parseInt(navigator.appVersion) == 4)) {
		if (typeof d.cs == 'undefined') { 
			d.cs = new Object;
			d.cs.csFix = new Object; 
		} else if (CSIsFrame (w) == true) CSFixFct();
		d.cs.csFix.w = w.innerWidth;
		d.cs.csFix.h = w.innerHeight; 
		window.onresize = CSFixFct;
	  }
}
function CSIsFrame (window) {
	var rootWindow = window.parent;
	if (rootWindow == 'undefined') return false;
	for (i = 0; i < rootWindow.frames.length; i++)
		if (window == rootWindow.frames[i]) return true;
	return false;
}
function DJintoFrameset(action){
	var myact = action[1];
	var mypar = "";
	var myparent = "";
	var newparent = "";
	var mytemp1 = "";
	var lengthOfPassedName = 0;
	var passedName = "";
	if(parent.frames.length > 0) {
		mypar = parent.location.pathname;
		if(mypar.lastIndexOf("\\") != -1){
			myparent = mypar.substring(mypar.lastIndexOf("\\")+1, mypar.length);
		} else if(mypar.lastIndexOf("/") != -1) {
			myparent = mypar.substring(mypar.lastIndexOf("/")+1, mypar.length);
		} else {
			myparent = mypar;
		}
	}
	if(myact.lastIndexOf("\\") != -1){
		newparent = myact.substring(myact.lastIndexOf("\\")+1, myact.length);
	} else if(myact.lastIndexOf("/") != -1) {
		newparent = myact.substring(myact.lastIndexOf("/")+1, myact.length);
	} else {
		newparent = myact;
	}
	if (newparent.length > 0) {
		if(parent.frames.length == 0 || myparent != newparent || (top != parent && action[2])) {
			if(action[3]) {
				mytemp1=action[1];
			} else {
				mytemp1=action[1] + "?" + escape(window.location.href);
			}
			if(!action[2]) {
				window.location.replace(mytemp1);
			} else {
				top.location.replace(mytemp1);
			}
		} else {
			if(parent.djaframeset && parent.djaframeset != "" && !action[3]) {
				mytemp1 = parent.djaframeset;
				parent.djaframeset = "";
				window.location.replace(mytemp1);
			}
		}
	}
}
//-->
function CSGoBack1() { history.back() }
function CSPakRemote(action) { 
	if (TRversion()) {
		if (action[2].length < 1) {
			opener.location.href=action[1];
		}
		else {
			opener.parent.frames[action[2]].location.href=action[1];
		}
	}
	return;
}
function TRversion() {
	return (navigator.appName.indexOf("Netscape") >= 0 && parseInt(navigator.appVersion.charAt(0)) >= 3)
          || (navigator.appName.indexOf("Explorer") >= 0 && parseInt(navigator.appVersion.charAt(0)) >= 3);
}
// Version 1.1. A Michael Ahgren action.
function CSRemoveIEbox(){
if (document.images&&navigator.userAgent.indexOf("MSIE")!=-1){
	for(i=0;i<document.links.length;i++){
		target=eval("document.links[i]")
		target.onfocus=blurHandler
		}
	}
}
function blurHandler(){
obj=window.event.srcElement
if(obj.tagName == "A"||obj.tagName=="AREA") obj.blur()
}
// OUT Open Image Window Action v1.2.6
// Script copyright 1999, 2000 OUT Media Design GmbH. All rights reserved.
function OUTOpenImageWindow(action) {
	var imgWinW = action[3];
	var imgWinH = action[4];
	var bgImg = action[16] ? ' BACKGROUND="'+action[15]+'" ' : '';
	var bVers=window.navigator.appVersion.substring(0,1);
	var isMac = window.navigator.userAgent.indexOf("Mac") >= 0;
	var isNN = window.navigator.appName.indexOf("Netscape")>=0;
	var isIE = window.navigator.appName.indexOf("Explorer")>=0;
	var wOffset = (bVers<4 && isNN) ? 9 : action[14];
	imgWinW += 2*wOffset;
	imgWinH += 2*wOffset;
	var wf = "";	
	wf = wf + "width=" + imgWinW;
	wf = wf + ",height=" + imgWinH;
	wf = wf + ",resizable=" + (action[5] ? "no" : "yes");
	wf = wf + ",scrollbars=" + (action[6] ? "no" : "yes");
	wf = wf + ",menubar=" + (action[7] ? "no" : "yes");
	wf = wf + ",toolbar=" + (action[8] ? "no" : "yes");
	wf = wf + ",directories=" + (action[9] ? "no" : "yes");
	wf = wf + ",location=" + (action[10] ? "no" : "yes");
	wf = wf + ",status=" + (action[11] ? "no" : "yes");
	var newImgWin = window.open("",action[2],wf);
	newImgWin.saveResizable = !action[5];
	
	newImgWin.document.writeln('<HTML><HEAD><TITLE>'+action[13]+'</TITLE></HEAD>');
	newImgWin.document.writeln('<BODY BGCOLOR="'+action[12]+'"'+bgImg+' MARGINWIDTH="'+action[14]+'" MARGINHEIGHT="'+action[14]+'" LEFTMARGIN="'+action[14]+'" TOPMARGIN="'+action[14]+'">');
	newImgWin.document.write('<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" HEIGHT="100%"><TR><TD VALIGN="middle" ALIGN="center"><IMG SRC="'+action[1]+'"');
	if (action[17] && bVers>=4) newImgWin.document.write(' ONLOAD="var imgWinW=this.width+'+2*wOffset+';var imgWinH=this.height+'+2*wOffset+';if(window.setResizable) window.setResizable(true);window.resizeTo(imgWinW, imgWinH);if (window.setResizable) window.setResizable(window.saveResizable);if(window.document.body && (window.document.body.clientWidth!=imgWinW || window.document.body.clientHeight!=imgWinH)) { window.resizeTo(2*imgWinW-window.document.body.clientWidth,2*imgWinH-window.document.body.clientHeight);}"');
	newImgWin.document.writeln('></TD></TR></TABLE>');
	newImgWin.document.writeln('</BODY></HTML>');
	newImgWin.document.close();
	if(bVers>=4 && !action[17]) { //do chrome compensation now
		if (isNN && newImgWin.setResizable) newImgWin.setResizable(true);
		if (!(isIE && isMac)) newImgWin.resizeTo(imgWinW,imgWinH);
		if (isNN && newImgWin.setResizable) newImgWin.setResizable(!action[5]);
		if(isIE && !isMac && (newImgWin.document.body.clientWidth!=imgWinW || newImgWin.document.body.clientHeight!=imgWinH)) newImgWin.resizeTo(2*imgWinW-newImgWin.document.body.clientWidth,2*imgWinH-newImgWin.document.body.clientHeight);
	}
	if(action[18] && bVers>=4 && !(isMac && isIE && bVers<5)) newImgWin.focus();
}
function CSOpenPositionWindow(action) {
// Matt Ridley, Dec. '98
	var wf = "";	
	wf = wf + "width=" + action[3];
	wf = wf + ",height=" + action[4];
	wf = wf + ",resizable=" + (action[5] ? "yes" : "no");
	wf = wf + ",scrollbars=" + (action[6] ? "yes" : "no");
	wf = wf + ",menubar=" + (action[7] ? "yes" : "no");
	wf = wf + ",toolbar=" + (action[8] ? "yes" : "no");
	wf = wf + ",directories=" + (action[9] ? "yes" : "no");
	wf = wf + ",location=" + (action[10] ? "yes" : "no");
	wf = wf + ",status=" + (action[11] ? "yes" : "no");	
	wf = wf + ",left=" + action[12];
	wf = wf + ",top=" + action[13];	
	window.open(action[1],action[2],wf);
}
function CSSlideNewWindow(action) {
var wh = ""
if (action[7] || action[8] || action[9] == true) wh=action[4]-125
else wh = action[4]
var wf = "";	
wf = wf + "width=" + action[3];
wf = wf + ",height=" + wh;
wf = wf + ",resizable=" + (action[5] ? "yes" : "no");
wf = wf + ",scrollbars=" + (action[6] ? "yes" : "no");
wf = wf + ",menubar=" + (action[7] ? "yes" : "no");
wf = wf + ",toolbar=" + (action[8] ? "yes" : "no");
wf = wf + ",directories=" + (action[9] ? "yes" : "no");
wf = wf + ",location=" + (action[10] ? "yes" : "no");
wf = wf + ",status=" + (action[11] ? "yes" : "no");		
if(navigator.appVersion.charAt(0) >=4) {
var sw=screen.width-20;
var sh=screen.height;
var newwidth=action[3]; 
var newheight=action[4];
var positionleft=(sw-newwidth)/2;
var positiontop=""
if (action[7] || action[8] || action[9] == true) positiontop=(sh-newheight)/3;
positiontop=(sh-newheight)/2.5;
}
newwindow=window.open(action[1],action[2],wf); 
newwindow.focus()	
if(navigator.appVersion.charAt(0) >=4) {
	for(width1 = 1 ; width1 < positionleft ; width1 = width1 + 10)
	newwindow.moveTo(width1,positiontop)
	}
}
// EOF
